---
deprecations:
- feature_name: "Expired SSH keys disabled by default"
  due: May 22, 2021
  reporter: stkerr
  description: |
    Starting in GitLab 14.0, [SSH keys added to GitLab](https://docs.gitlab.com/ee/ssh/#add-an-ssh-key-to-your-gitlab-account) that have expired
    will be disabled by default. This is
    a change from the current behavior where expired SSH keys can still be used unless explicitly
    disabled by an administrator.

    Administrators can still allow the use of expired keys in the same way as they
    can [override expiration settings](https://docs.gitlab.com/ee/user/admin_area/settings/account_and_limit_settings.html#optional-non-enforcement-of-personal-access-token-expiration) for Personal Access Tokens.
